Skip to main content

System Requirements

Supported Platforms

Mobile

Requirements

  • Any platform: OpenGL ES3.0* and higher
  • Android: supported from Android 6.0. API level 23
  • iOS: supported from iOS 12.0.
    Minimal supported device — iPhone 5s.
    Metal API supported.

Desktop

Requirements PC

  • Support OpenGL 4.3 and up (4.1 for MacOS)
  • Windows 8.1 and up
  • MacOS 10.13 and up
  • Ubuntu 18.04 and up
  • VC++ 15 and up runtime available
note

* On Android platform Neural networks are available only with OpenGL ES version 3.1 and higher.


Supported Browsers

Mobile

Desktop

Requirements

  • Banuba Web SDK supports any browser with WebGL 1.0 and higher. All supported browsers are listed here.

Supported languages

LanguagesPlatforms
Objective-C
Swift 5
MacOS
Kotlin
Java 7
Android
C++ 17All
C#Unity
JavaScriptWeb
Python3MacOS, Windows, Ubuntu